curl --request POST \
--url https://api.extole.io/v6/event-streams \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"component_ids": [
"component_id"
],
"component_references": [
{
"component_id": "component_id",
"socket_names": [
"socket_name"
]
}
],
"description": "description",
"name": "name",
"stop_at": "2025-10-24T09:00:00.000Z",
"tags": [
"tag"
]
}
'import requests
url = "https://api.extole.io/v6/event-streams"
payload = {
"component_ids": ["component_id"],
"component_references": [
{
"component_id": "component_id",
"socket_names": ["socket_name"]
}
],
"description": "description",
"name": "name",
"stop_at": "2025-10-24T09:00:00.000Z",
"tags": ["tag"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
component_ids: ['component_id'],
component_references: [{component_id: 'component_id', socket_names: ['socket_name']}],
description: 'description',
name: 'name',
stop_at: '2025-10-24T09:00:00.000Z',
tags: ['tag']
})
};
fetch('https://api.extole.io/v6/event-streams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create an event stream
Creates a new event-stream subscription for the client. Event streams push a filtered view of client-event activity to a downstream consumer such as a webhook or Kafka topic. Returns the created event stream with its server-assigned id.
Authorizations
Body
Body of a POST /v6/event-streams request.
Choose between static or dynamic name. Buildtime expressions use EventStreamBuildtimeContext.
Show child attributes
Show child attributes
Choose between static or dynamic description. Buildtime expressions use EventStreamBuildtimeContext.
Response
Successful response
Stored event stream definition. Fields name and description are unevaluated and appear in buildtime-evaluatable form.
The description as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use EventStreamBuildtimeContext.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
The name as configured: a literal value, or an expression (type:string) when defined dynamically. Buildtime expressions use EventStreamBuildtimeContext.
